## ffmpegcolorspace

ffmpegcolorspace — Converts video from one colorspace to another

## Synopsis

                        GstFFMpegCsp;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter
                               +----GstFFMpegCsp

## Description

Convert video frames between a great variety of colorspace formats.

### Example launch line

    1

    gst-launch -v videotestsrc ! video/x-raw-yuv,format=\(fourcc\)YUY2 ! ffmpegcolorspace ! ximagesink

## Details

### GstFFMpegCsp

    typedef struct _GstFFMpegCsp GstFFMpegCsp;

Opaque object data structure.